Changeset 1460 for ThirdParty/Blas


Ignore:
Timestamp:
Dec 31, 2009 2:09:46 PM (10 years ago)
Author:
stefan
Message:

get FLIBS and put into .pc files

Location:
ThirdParty/Blas/branches/BSPsplit
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/branches/BSPsplit/Makefile.in

    r1446 r1460  
    156156FADDLIBS = @FADDLIBS@
    157157FFLAGS = @FFLAGS@
     158FLIBS = @FLIBS@
    158159HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
    159160HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
  • ThirdParty/Blas/branches/BSPsplit/configure

    r1446 r1460  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    38033803
    38043804
     3805# Get the linker flags (FLIBS) that are required for linking against this blas library
     3806ac_ext=f
     3807ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     3808ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3809ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     3810echo "$as_me:$LINENO: checking how to get verbose linking output from $F77" >&5
     3811echo $ECHO_N "checking how to get verbose linking output from $F77... $ECHO_C" >&6
     3812if test "${ac_cv_prog_f77_v+set}" = set; then
     3813  echo $ECHO_N "(cached) $ECHO_C" >&6
     3814else
     3815  cat >conftest.$ac_ext <<_ACEOF
     3816      program main
     3817
     3818      end
     3819_ACEOF
     3820rm -f conftest.$ac_objext
     3821if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     3822  (eval $ac_compile) 2>conftest.er1
     3823  ac_status=$?
     3824  grep -v '^ *+' conftest.er1 >conftest.err
     3825  rm -f conftest.er1
     3826  cat conftest.err >&5
     3827  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3828  (exit $ac_status); } &&
     3829         { ac_try='test -z "$ac_f77_werror_flag"
     3830                         || test ! -s conftest.err'
     3831  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3832  (eval $ac_try) 2>&5
     3833  ac_status=$?
     3834  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3835  (exit $ac_status); }; } &&
     3836         { ac_try='test -s conftest.$ac_objext'
     3837  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3838  (eval $ac_try) 2>&5
     3839  ac_status=$?
     3840  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3841  (exit $ac_status); }; }; then
     3842  ac_cv_prog_f77_v=
     3843# Try some options frequently used verbose output
     3844for ac_verb in -v -verbose --verbose -V -\#\#\#; do
     3845  cat >conftest.$ac_ext <<_ACEOF
     3846      program main
     3847
     3848      end
     3849_ACEOF
     3850
     3851# Compile and link our simple test program by passing a flag (argument
     3852# 1 to this macro) to the Fortran compiler in order to get
     3853# "verbose" output that we can then parse for the Fortran linker
     3854# flags.
     3855ac_save_FFLAGS=$FFLAGS
     3856FFLAGS="$FFLAGS $ac_verb"
     3857(eval echo $as_me:3857: \"$ac_link\") >&5
     3858ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
     3859echo "$ac_f77_v_output" >&5
     3860FFLAGS=$ac_save_FFLAGS
     3861
     3862rm -f conftest*
     3863
     3864# On HP/UX there is a line like: "LPATH is: /foo:/bar:/baz" where
     3865# /foo, /bar, and /baz are search directories for the Fortran linker.
     3866# Here, we change these into -L/foo -L/bar -L/baz (and put it first):
     3867ac_f77_v_output="`echo $ac_f77_v_output |
     3868        grep 'LPATH is:' |
     3869        sed 's,.*LPATH is\(: *[^ ]*\).*,\1,;s,: */, -L/,g'` $ac_f77_v_output"
     3870
     3871case $ac_f77_v_output in
     3872  # If we are using xlf then replace all the commas with spaces.
     3873  *xlfentry*)
     3874    ac_f77_v_output=`echo $ac_f77_v_output | sed 's/,/ /g'` ;;
     3875
     3876  # With Intel ifc, ignore the quoted -mGLOB_options_string stuff (quoted
     3877  # $LIBS confuse us, and the libraries appear later in the output anyway).
     3878  *mGLOB_options_string*)
     3879    ac_f77_v_output=`echo $ac_f77_v_output | sed 's/\"-mGLOB[^\"]*\"/ /g'` ;;
     3880
     3881  # If we are using Cray Fortran then delete quotes.
     3882  # Use "\"" instead of '"' for font-lock-mode.
     3883  # FIXME: a more general fix for quoted arguments with spaces?
     3884  *cft90*)
     3885    ac_f77_v_output=`echo $ac_f77_v_output | sed "s/\"//g"` ;;
     3886esac
     3887
     3888
     3889  # look for -l* and *.a constructs in the output
     3890  for ac_arg in $ac_f77_v_output; do
     3891     case $ac_arg in
     3892        [\\/]*.a | ?:[\\/]*.a | -[lLRu]*)
     3893          ac_cv_prog_f77_v=$ac_verb
     3894          break 2 ;;
     3895     esac
     3896  done
     3897done
     3898if test -z "$ac_cv_prog_f77_v"; then
     3899   { echo "$as_me:$LINENO: WARNING: cannot determine how to obtain linking information from $F77" >&5
     3900echo "$as_me: WARNING: cannot determine how to obtain linking information from $F77" >&2;}
     3901fi
     3902else
     3903  echo "$as_me: failed program was:" >&5
     3904sed 's/^/| /' conftest.$ac_ext >&5
     3905
     3906{ echo "$as_me:$LINENO: WARNING: compilation failed" >&5
     3907echo "$as_me: WARNING: compilation failed" >&2;}
     3908fi
     3909rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     3910
     3911fi
     3912echo "$as_me:$LINENO: result: $ac_cv_prog_f77_v" >&5
     3913echo "${ECHO_T}$ac_cv_prog_f77_v" >&6
     3914echo "$as_me:$LINENO: checking for Fortran libraries of $F77" >&5
     3915echo $ECHO_N "checking for Fortran libraries of $F77... $ECHO_C" >&6
     3916if test "${ac_cv_f77_libs+set}" = set; then
     3917  echo $ECHO_N "(cached) $ECHO_C" >&6
     3918else
     3919  if test "x$FLIBS" != "x"; then
     3920  ac_cv_f77_libs="$FLIBS" # Let the user override the test.
     3921else
     3922
     3923cat >conftest.$ac_ext <<_ACEOF
     3924      program main
     3925
     3926      end
     3927_ACEOF
     3928
     3929# Compile and link our simple test program by passing a flag (argument
     3930# 1 to this macro) to the Fortran compiler in order to get
     3931# "verbose" output that we can then parse for the Fortran linker
     3932# flags.
     3933ac_save_FFLAGS=$FFLAGS
     3934FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
     3935(eval echo $as_me:3935: \"$ac_link\") >&5
     3936ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
     3937echo "$ac_f77_v_output" >&5
     3938FFLAGS=$ac_save_FFLAGS
     3939
     3940rm -f conftest*
     3941
     3942# On HP/UX there is a line like: "LPATH is: /foo:/bar:/baz" where
     3943# /foo, /bar, and /baz are search directories for the Fortran linker.
     3944# Here, we change these into -L/foo -L/bar -L/baz (and put it first):
     3945ac_f77_v_output="`echo $ac_f77_v_output |
     3946        grep 'LPATH is:' |
     3947        sed 's,.*LPATH is\(: *[^ ]*\).*,\1,;s,: */, -L/,g'` $ac_f77_v_output"
     3948
     3949case $ac_f77_v_output in
     3950  # If we are using xlf then replace all the commas with spaces.
     3951  *xlfentry*)
     3952    ac_f77_v_output=`echo $ac_f77_v_output | sed 's/,/ /g'` ;;
     3953
     3954  # With Intel ifc, ignore the quoted -mGLOB_options_string stuff (quoted
     3955  # $LIBS confuse us, and the libraries appear later in the output anyway).
     3956  *mGLOB_options_string*)
     3957    ac_f77_v_output=`echo $ac_f77_v_output | sed 's/\"-mGLOB[^\"]*\"/ /g'` ;;
     3958
     3959  # If we are using Cray Fortran then delete quotes.
     3960  # Use "\"" instead of '"' for font-lock-mode.
     3961  # FIXME: a more general fix for quoted arguments with spaces?
     3962  *cft90*)
     3963    ac_f77_v_output=`echo $ac_f77_v_output | sed "s/\"//g"` ;;
     3964esac
     3965
     3966
     3967
     3968ac_cv_f77_libs=
     3969
     3970# Save positional arguments (if any)
     3971ac_save_positional="$@"
     3972
     3973set X $ac_f77_v_output
     3974while test $# != 1; do
     3975  shift
     3976  ac_arg=$1
     3977  case $ac_arg in
     3978        [\\/]*.a | ?:[\\/]*.a)
     3979            ac_exists=false
     3980  for ac_i in $ac_cv_f77_libs; do
     3981    if test x"$ac_arg" = x"$ac_i"; then
     3982      ac_exists=true
     3983      break
     3984    fi
     3985  done
     3986
     3987  if test x"$ac_exists" = xtrue; then
     3988  :
     3989else
     3990  ac_cv_f77_libs="$ac_cv_f77_libs $ac_arg"
     3991fi
     3992
     3993          ;;
     3994        -bI:*)
     3995            ac_exists=false
     3996  for ac_i in $ac_cv_f77_libs; do
     3997    if test x"$ac_arg" = x"$ac_i"; then
     3998      ac_exists=true
     3999      break
     4000    fi
     4001  done
     4002
     4003  if test x"$ac_exists" = xtrue; then
     4004  :
     4005else
     4006  if test "$ac_compiler_gnu" = yes; then
     4007  for ac_link_opt in $ac_arg; do
     4008    ac_cv_f77_libs="$ac_cv_f77_libs -Xlinker $ac_link_opt"
     4009  done
     4010else
     4011  ac_cv_f77_libs="$ac_cv_f77_libs $ac_arg"
     4012fi
     4013fi
     4014
     4015          ;;
     4016          # Ignore these flags.
     4017        -lang* | -lcrt[01].o | -lcrtbegin.o | -lc | -lgcc | -libmil | -LANG:=*)
     4018          ;;
     4019        -lkernel32)
     4020          test x"$CYGWIN" != xyes && ac_cv_f77_libs="$ac_cv_f77_libs $ac_arg"
     4021          ;;
     4022        -[LRuY])
     4023          # These flags, when seen by themselves, take an argument.
     4024          # We remove the space between option and argument and re-iterate
     4025          # unless we find an empty arg or a new option (starting with -)
     4026          case $2 in
     4027             "" | -*);;
     4028             *)
     4029                ac_arg="$ac_arg$2"
     4030                shift; shift
     4031                set X $ac_arg "$@"
     4032                ;;
     4033          esac
     4034          ;;
     4035        -YP,*)
     4036          for ac_j in `echo $ac_arg | sed -e 's/-YP,/-L/;s/:/ -L/g'`; do
     4037              ac_exists=false
     4038  for ac_i in $ac_cv_f77_libs; do
     4039    if test x"$ac_j" = x"$ac_i"; then
     4040      ac_exists=true
     4041      break
     4042    fi
     4043  done
     4044
     4045  if test x"$ac_exists" = xtrue; then
     4046  :
     4047else
     4048  ac_arg="$ac_arg $ac_j"
     4049                               ac_cv_f77_libs="$ac_cv_f77_libs $ac_j"
     4050fi
     4051
     4052          done
     4053          ;;
     4054        -[lLR]*)
     4055            ac_exists=false
     4056  for ac_i in $ac_cv_f77_libs; do
     4057    if test x"$ac_arg" = x"$ac_i"; then
     4058      ac_exists=true
     4059      break
     4060    fi
     4061  done
     4062
     4063  if test x"$ac_exists" = xtrue; then
     4064  :
     4065else
     4066  ac_cv_f77_libs="$ac_cv_f77_libs $ac_arg"
     4067fi
     4068
     4069          ;;
     4070          # Ignore everything else.
     4071  esac
     4072done
     4073# restore positional arguments
     4074set X $ac_save_positional; shift
     4075
     4076# We only consider "LD_RUN_PATH" on Solaris systems.  If this is seen,
     4077# then we insist that the "run path" must be an absolute path (i.e. it
     4078# must begin with a "/").
     4079case `(uname -sr) 2>/dev/null` in
     4080   "SunOS 5"*)
     4081      ac_ld_run_path=`echo $ac_f77_v_output |
     4082                        sed -n 's,^.*LD_RUN_PATH *= *\(/[^ ]*\).*$,-R\1,p'`
     4083      test "x$ac_ld_run_path" != x &&
     4084        if test "$ac_compiler_gnu" = yes; then
     4085  for ac_link_opt in $ac_ld_run_path; do
     4086    ac_cv_f77_libs="$ac_cv_f77_libs -Xlinker $ac_link_opt"
     4087  done
     4088else
     4089  ac_cv_f77_libs="$ac_cv_f77_libs $ac_ld_run_path"
     4090fi
     4091      ;;
     4092esac
     4093fi # test "x$[]_AC_LANG_PREFIX[]LIBS" = "x"
     4094
     4095fi
     4096echo "$as_me:$LINENO: result: $ac_cv_f77_libs" >&5
     4097echo "${ECHO_T}$ac_cv_f77_libs" >&6
     4098FLIBS="$ac_cv_f77_libs"
     4099
     4100
     4101ac_ext=f
     4102ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4103ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4104ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4105
     4106ac_ext=f
     4107ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4108ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4109ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4110
     4111echo "$as_me:$LINENO: checking for dummy main to link with Fortran libraries" >&5
     4112echo $ECHO_N "checking for dummy main to link with Fortran libraries... $ECHO_C" >&6
     4113if test "${ac_cv_f77_dummy_main+set}" = set; then
     4114  echo $ECHO_N "(cached) $ECHO_C" >&6
     4115else
     4116  ac_f77_dm_save_LIBS=$LIBS
     4117 LIBS="$LIBS $FLIBS"
     4118 ac_fortran_dm_var=F77_DUMMY_MAIN
     4119 ac_ext=c
     4120ac_cpp='$CPP $CPPFLAGS'
     4121ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4122ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4123ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4124
     4125 # First, try linking without a dummy main:
     4126 cat >conftest.$ac_ext <<_ACEOF
     4127/* confdefs.h.  */
     4128_ACEOF
     4129cat confdefs.h >>conftest.$ac_ext
     4130cat >>conftest.$ac_ext <<_ACEOF
     4131/* end confdefs.h.  */
     4132
     4133#ifdef F77_DUMMY_MAIN
     4134
     4135#  ifdef __cplusplus
     4136     extern "C"
     4137#  endif
     4138   int F77_DUMMY_MAIN() { return 1; }
     4139
     4140#endif
     4141int
     4142main ()
     4143{
     4144
     4145  ;
     4146  return 0;
     4147}
     4148_ACEOF
     4149rm -f conftest.$ac_objext conftest$ac_exeext
     4150if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4151  (eval $ac_link) 2>conftest.er1
     4152  ac_status=$?
     4153  grep -v '^ *+' conftest.er1 >conftest.err
     4154  rm -f conftest.er1
     4155  cat conftest.err >&5
     4156  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4157  (exit $ac_status); } &&
     4158         { ac_try='test -z "$ac_c_werror_flag"
     4159                         || test ! -s conftest.err'
     4160  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4161  (eval $ac_try) 2>&5
     4162  ac_status=$?
     4163  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4164  (exit $ac_status); }; } &&
     4165         { ac_try='test -s conftest$ac_exeext'
     4166  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4167  (eval $ac_try) 2>&5
     4168  ac_status=$?
     4169  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4170  (exit $ac_status); }; }; then
     4171  ac_cv_fortran_dummy_main=none
     4172else
     4173  echo "$as_me: failed program was:" >&5
     4174sed 's/^/| /' conftest.$ac_ext >&5
     4175
     4176ac_cv_fortran_dummy_main=unknown
     4177fi
     4178rm -f conftest.err conftest.$ac_objext \
     4179      conftest$ac_exeext conftest.$ac_ext
     4180
     4181 if test $ac_cv_fortran_dummy_main = unknown; then
     4182   for ac_func in MAIN__ MAIN_ __main MAIN _MAIN __MAIN main_ main__ _main; do
     4183     cat >conftest.$ac_ext <<_ACEOF
     4184/* confdefs.h.  */
     4185_ACEOF
     4186cat confdefs.h >>conftest.$ac_ext
     4187cat >>conftest.$ac_ext <<_ACEOF
     4188/* end confdefs.h.  */
     4189#define $ac_fortran_dm_var $ac_func
     4190#ifdef F77_DUMMY_MAIN
     4191
     4192#  ifdef __cplusplus
     4193     extern "C"
     4194#  endif
     4195   int F77_DUMMY_MAIN() { return 1; }
     4196
     4197#endif
     4198int
     4199main ()
     4200{
     4201
     4202  ;
     4203  return 0;
     4204}
     4205_ACEOF
     4206rm -f conftest.$ac_objext conftest$ac_exeext
     4207if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4208  (eval $ac_link) 2>conftest.er1
     4209  ac_status=$?
     4210  grep -v '^ *+' conftest.er1 >conftest.err
     4211  rm -f conftest.er1
     4212  cat conftest.err >&5
     4213  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4214  (exit $ac_status); } &&
     4215         { ac_try='test -z "$ac_c_werror_flag"
     4216                         || test ! -s conftest.err'
     4217  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4218  (eval $ac_try) 2>&5
     4219  ac_status=$?
     4220  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4221  (exit $ac_status); }; } &&
     4222         { ac_try='test -s conftest$ac_exeext'
     4223  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4224  (eval $ac_try) 2>&5
     4225  ac_status=$?
     4226  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4227  (exit $ac_status); }; }; then
     4228  ac_cv_fortran_dummy_main=$ac_func; break
     4229else
     4230  echo "$as_me: failed program was:" >&5
     4231sed 's/^/| /' conftest.$ac_ext >&5
     4232
     4233fi
     4234rm -f conftest.err conftest.$ac_objext \
     4235      conftest$ac_exeext conftest.$ac_ext
     4236   done
     4237 fi
     4238 ac_ext=f
     4239ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4240ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4241ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4242 ac_cv_f77_dummy_main=$ac_cv_fortran_dummy_main
     4243 rm -f conftest*
     4244 LIBS=$ac_f77_dm_save_LIBS
     4245
     4246fi
     4247echo "$as_me:$LINENO: result: $ac_cv_f77_dummy_main" >&5
     4248echo "${ECHO_T}$ac_cv_f77_dummy_main" >&6
     4249F77_DUMMY_MAIN=$ac_cv_f77_dummy_main
     4250if test "$F77_DUMMY_MAIN" != unknown; then
     4251  if test $F77_DUMMY_MAIN != none; then
     4252
     4253cat >>confdefs.h <<_ACEOF
     4254#define F77_DUMMY_MAIN $F77_DUMMY_MAIN
     4255_ACEOF
     4256
     4257  if test "x$ac_cv_fc_dummy_main" = "x$ac_cv_f77_dummy_main"; then
     4258
     4259cat >>confdefs.h <<\_ACEOF
     4260#define FC_DUMMY_MAIN_EQ_F77 1
     4261_ACEOF
     4262
     4263  fi
     4264fi
     4265else
     4266  { { echo "$as_me:$LINENO: error: linking to Fortran libraries from C fails
     4267See \`config.log' for more details." >&5
     4268echo "$as_me: error: linking to Fortran libraries from C fails
     4269See \`config.log' for more details." >&2;}
     4270   { (exit 1); exit 1; }; }
     4271fi
     4272
     4273
     4274ac_ext=f
     4275ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4276ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4277ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4278
     4279ac_ext=f
     4280ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4281ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4282ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4283echo "$as_me:$LINENO: checking for Fortran name-mangling scheme" >&5
     4284echo $ECHO_N "checking for Fortran name-mangling scheme... $ECHO_C" >&6
     4285if test "${ac_cv_f77_mangling+set}" = set; then
     4286  echo $ECHO_N "(cached) $ECHO_C" >&6
     4287else
     4288  cat >conftest.$ac_ext <<_ACEOF
     4289      subroutine foobar()
     4290      return
     4291      end
     4292      subroutine foo_bar()
     4293      return
     4294      end
     4295_ACEOF
     4296rm -f conftest.$ac_objext
     4297if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     4298  (eval $ac_compile) 2>conftest.er1
     4299  ac_status=$?
     4300  grep -v '^ *+' conftest.er1 >conftest.err
     4301  rm -f conftest.er1
     4302  cat conftest.err >&5
     4303  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4304  (exit $ac_status); } &&
     4305         { ac_try='test -z "$ac_f77_werror_flag"
     4306                         || test ! -s conftest.err'
     4307  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4308  (eval $ac_try) 2>&5
     4309  ac_status=$?
     4310  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4311  (exit $ac_status); }; } &&
     4312         { ac_try='test -s conftest.$ac_objext'
     4313  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4314  (eval $ac_try) 2>&5
     4315  ac_status=$?
     4316  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4317  (exit $ac_status); }; }; then
     4318  mv conftest.$ac_objext cfortran_test.$ac_objext
     4319
     4320  ac_save_LIBS=$LIBS
     4321  LIBS="cfortran_test.$ac_objext $LIBS $FLIBS"
     4322
     4323  ac_ext=c
     4324ac_cpp='$CPP $CPPFLAGS'
     4325ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4326ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4327ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4328  ac_success=no
     4329  for ac_foobar in foobar FOOBAR; do
     4330    for ac_underscore in "" "_"; do
     4331      ac_func="$ac_foobar$ac_underscore"
     4332      cat >conftest.$ac_ext <<_ACEOF
     4333/* confdefs.h.  */
     4334_ACEOF
     4335cat confdefs.h >>conftest.$ac_ext
     4336cat >>conftest.$ac_ext <<_ACEOF
     4337/* end confdefs.h.  */
     4338
     4339/* Override any gcc2 internal prototype to avoid an error.  */
     4340#ifdef __cplusplus
     4341extern "C"
     4342#endif
     4343/* We use char because int might match the return type of a gcc2
     4344   builtin and then its argument prototype would still apply.  */
     4345char $ac_func ();
     4346#ifdef F77_DUMMY_MAIN
     4347
     4348#  ifdef __cplusplus
     4349     extern "C"
     4350#  endif
     4351   int F77_DUMMY_MAIN() { return 1; }
     4352
     4353#endif
     4354int
     4355main ()
     4356{
     4357$ac_func ();
     4358  ;
     4359  return 0;
     4360}
     4361_ACEOF
     4362rm -f conftest.$ac_objext conftest$ac_exeext
     4363if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4364  (eval $ac_link) 2>conftest.er1
     4365  ac_status=$?
     4366  grep -v '^ *+' conftest.er1 >conftest.err
     4367  rm -f conftest.er1
     4368  cat conftest.err >&5
     4369  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4370  (exit $ac_status); } &&
     4371         { ac_try='test -z "$ac_c_werror_flag"
     4372                         || test ! -s conftest.err'
     4373  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4374  (eval $ac_try) 2>&5
     4375  ac_status=$?
     4376  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4377  (exit $ac_status); }; } &&
     4378         { ac_try='test -s conftest$ac_exeext'
     4379  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4380  (eval $ac_try) 2>&5
     4381  ac_status=$?
     4382  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4383  (exit $ac_status); }; }; then
     4384  ac_success=yes; break 2
     4385else
     4386  echo "$as_me: failed program was:" >&5
     4387sed 's/^/| /' conftest.$ac_ext >&5
     4388
     4389fi
     4390rm -f conftest.err conftest.$ac_objext \
     4391      conftest$ac_exeext conftest.$ac_ext
     4392    done
     4393  done
     4394  ac_ext=f
     4395ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4396ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4397ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4398
     4399  if test "$ac_success" = "yes"; then
     4400     case $ac_foobar in
     4401        foobar)
     4402           ac_case=lower
     4403           ac_foo_bar=foo_bar
     4404           ;;
     4405        FOOBAR)
     4406           ac_case=upper
     4407           ac_foo_bar=FOO_BAR
     4408           ;;
     4409     esac
     4410
     4411     ac_ext=c
     4412ac_cpp='$CPP $CPPFLAGS'
     4413ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4414ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4415ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4416     ac_success_extra=no
     4417     for ac_extra in "" "_"; do
     4418        ac_func="$ac_foo_bar$ac_underscore$ac_extra"
     4419        cat >conftest.$ac_ext <<_ACEOF
     4420/* confdefs.h.  */
     4421_ACEOF
     4422cat confdefs.h >>conftest.$ac_ext
     4423cat >>conftest.$ac_ext <<_ACEOF
     4424/* end confdefs.h.  */
     4425
     4426/* Override any gcc2 internal prototype to avoid an error.  */
     4427#ifdef __cplusplus
     4428extern "C"
     4429#endif
     4430/* We use char because int might match the return type of a gcc2
     4431   builtin and then its argument prototype would still apply.  */
     4432char $ac_func ();
     4433#ifdef F77_DUMMY_MAIN
     4434
     4435#  ifdef __cplusplus
     4436     extern "C"
     4437#  endif
     4438   int F77_DUMMY_MAIN() { return 1; }
     4439
     4440#endif
     4441int
     4442main ()
     4443{
     4444$ac_func ();
     4445  ;
     4446  return 0;
     4447}
     4448_ACEOF
     4449rm -f conftest.$ac_objext conftest$ac_exeext
     4450if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4451  (eval $ac_link) 2>conftest.er1
     4452  ac_status=$?
     4453  grep -v '^ *+' conftest.er1 >conftest.err
     4454  rm -f conftest.er1
     4455  cat conftest.err >&5
     4456  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4457  (exit $ac_status); } &&
     4458         { ac_try='test -z "$ac_c_werror_flag"
     4459                         || test ! -s conftest.err'
     4460  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4461  (eval $ac_try) 2>&5
     4462  ac_status=$?
     4463  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4464  (exit $ac_status); }; } &&
     4465         { ac_try='test -s conftest$ac_exeext'
     4466  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4467  (eval $ac_try) 2>&5
     4468  ac_status=$?
     4469  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4470  (exit $ac_status); }; }; then
     4471  ac_success_extra=yes; break
     4472else
     4473  echo "$as_me: failed program was:" >&5
     4474sed 's/^/| /' conftest.$ac_ext >&5
     4475
     4476fi
     4477rm -f conftest.err conftest.$ac_objext \
     4478      conftest$ac_exeext conftest.$ac_ext
     4479     done
     4480     ac_ext=f
     4481ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4482ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4483ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4484
     4485     if test "$ac_success_extra" = "yes"; then
     4486        ac_cv_f77_mangling="$ac_case case"
     4487        if test -z "$ac_underscore"; then
     4488           ac_cv_f77_mangling="$ac_cv_f77_mangling, no underscore"
     4489        else
     4490           ac_cv_f77_mangling="$ac_cv_f77_mangling, underscore"
     4491        fi
     4492        if test -z "$ac_extra"; then
     4493           ac_cv_f77_mangling="$ac_cv_f77_mangling, no extra underscore"
     4494        else
     4495           ac_cv_f77_mangling="$ac_cv_f77_mangling, extra underscore"
     4496        fi
     4497      else
     4498        ac_cv_f77_mangling="unknown"
     4499      fi
     4500  else
     4501     ac_cv_f77_mangling="unknown"
     4502  fi
     4503
     4504  LIBS=$ac_save_LIBS
     4505  rm -f cfortran_test* conftest*
     4506else
     4507  echo "$as_me: failed program was:" >&5
     4508sed 's/^/| /' conftest.$ac_ext >&5
     4509
     4510{ { echo "$as_me:$LINENO: error: cannot compile a simple Fortran program
     4511See \`config.log' for more details." >&5
     4512echo "$as_me: error: cannot compile a simple Fortran program
     4513See \`config.log' for more details." >&2;}
     4514   { (exit 1); exit 1; }; }
     4515fi
     4516rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     4517
     4518fi
     4519echo "$as_me:$LINENO: result: $ac_cv_f77_mangling" >&5
     4520echo "${ECHO_T}$ac_cv_f77_mangling" >&6
     4521
     4522ac_ext=f
     4523ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4524ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4525ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4526
     4527
     4528ac_ext=f
     4529ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4530ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4531ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4532
     4533
     4534save_FLIBS="$FLIBS"
     4535
     4536ac_ext=f
     4537ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4538ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4539ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4540
     4541
     4542case $ac_cv_f77_mangling in
     4543  "lower case, no underscore, no extra underscore")
     4544          cat >>confdefs.h <<\_ACEOF
     4545#define F77_FUNC(name,NAME) name
     4546_ACEOF
     4547
     4548          cat >>confdefs.h <<\_ACEOF
     4549#define F77_FUNC_(name,NAME) name
     4550_ACEOF
     4551 ;;
     4552  "lower case, no underscore, extra underscore")
     4553          cat >>confdefs.h <<\_ACEOF
     4554#define F77_FUNC(name,NAME) name
     4555_ACEOF
     4556
     4557          cat >>confdefs.h <<\_ACEOF
     4558#define F77_FUNC_(name,NAME) name ## _
     4559_ACEOF
     4560 ;;
     4561  "lower case, underscore, no extra underscore")
     4562          cat >>confdefs.h <<\_ACEOF
     4563#define F77_FUNC(name,NAME) name ## _
     4564_ACEOF
     4565
     4566          cat >>confdefs.h <<\_ACEOF
     4567#define F77_FUNC_(name,NAME) name ## _
     4568_ACEOF
     4569 ;;
     4570  "lower case, underscore, extra underscore")
     4571          cat >>confdefs.h <<\_ACEOF
     4572#define F77_FUNC(name,NAME) name ## _
     4573_ACEOF
     4574
     4575          cat >>confdefs.h <<\_ACEOF
     4576#define F77_FUNC_(name,NAME) name ## __
     4577_ACEOF
     4578 ;;
     4579  "upper case, no underscore, no extra underscore")
     4580          cat >>confdefs.h <<\_ACEOF
     4581#define F77_FUNC(name,NAME) NAME
     4582_ACEOF
     4583
     4584          cat >>confdefs.h <<\_ACEOF
     4585#define F77_FUNC_(name,NAME) NAME
     4586_ACEOF
     4587 ;;
     4588  "upper case, no underscore, extra underscore")
     4589          cat >>confdefs.h <<\_ACEOF
     4590#define F77_FUNC(name,NAME) NAME
     4591_ACEOF
     4592
     4593          cat >>confdefs.h <<\_ACEOF
     4594#define F77_FUNC_(name,NAME) NAME ## _
     4595_ACEOF
     4596 ;;
     4597  "upper case, underscore, no extra underscore")
     4598          cat >>confdefs.h <<\_ACEOF
     4599#define F77_FUNC(name,NAME) NAME ## _
     4600_ACEOF
     4601
     4602          cat >>confdefs.h <<\_ACEOF
     4603#define F77_FUNC_(name,NAME) NAME ## _
     4604_ACEOF
     4605 ;;
     4606  "upper case, underscore, extra underscore")
     4607          cat >>confdefs.h <<\_ACEOF
     4608#define F77_FUNC(name,NAME) NAME ## _
     4609_ACEOF
     4610
     4611          cat >>confdefs.h <<\_ACEOF
     4612#define F77_FUNC_(name,NAME) NAME ## __
     4613_ACEOF
     4614 ;;
     4615  *)
     4616          { echo "$as_me:$LINENO: WARNING: unknown Fortran name-mangling scheme" >&5
     4617echo "$as_me: WARNING: unknown Fortran name-mangling scheme" >&2;}
     4618          ;;
     4619esac
     4620
     4621ac_ext=f
     4622ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     4623ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4624ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     4625
     4626
     4627if test x"$save_FLIBS" != x; then
     4628  FLIBS="$save_FLIBS"
     4629else
     4630  # This is to correct a missing exclusion in autoconf 2.59
     4631  if test x"$FLIBS" != x; then
     4632    my_flibs=
     4633    for flag in $FLIBS; do
     4634      case $flag in
     4635        -lcrt*.o) ;;
     4636               *) my_flibs="$my_flibs $flag" ;;
     4637      esac
     4638    done
     4639    FLIBS="$my_flibs"
     4640  fi
     4641
     4642  case $build in
     4643  # The following is a fix to define FLIBS for ifort on Windows
     4644  # In its original version, it linked in libifcorert.lib or libifcorertd.lib on Windows/ifort explicitly.
     4645  # However, this seem to create a dependency on libifcorert.dll (or libifcorertd.dll) in the executables.
     4646  # This is seem to be unnecessary, libifcorert(d).lib has been removed from the link line.
     4647     *-cygwin* | *-mingw*)
     4648       case "$F77" in
     4649         ifort* | */ifort* | IFORT* | */IFORT*)
     4650           FLIBS="-link $LIBS /NODEFAULTLIB:libc.lib"
     4651#           if "$coin_debug_compile" = true ; then
     4652#             FLIBS="-link $LIBS /NODEFAULTLIB:libc.lib /NODEFAULTLIB:libcmt.lib"
     4653#           else
     4654#             FLIBS="-link $LIBS /NODEFAULTLIB:libc.lib /NODEFAULTLIB:libcmtd.lib"
     4655#           fi
     4656           ;;
     4657         compile_f2c*)
     4658           FLIBS=`$F77 -FLIBS` ;;
     4659       esac;;
     4660     *-hp-*)
     4661         FLIBS="$FLIBS -lm";;
     4662     *-ibm-*)
     4663         FLIBS=`echo $FLIBS | sed 's/-lc)/-lc/g'` ;;
     4664     *-linux-*)
     4665       case "$F77" in
     4666         pgf77* | */pgf77* | pgf90* | */pgf90*)
     4667# ask linker to go through the archives multiple times
     4668# (the Fortran compiler seems to do that automatically...
     4669           FLIBS="-Wl,--start-group $FLIBS -Wl,--end-group" ;;
     4670       esac
     4671  esac
     4672  ac_cv_f77_libs="$FLIBS"
     4673fi
     4674
     4675ac_ext=c
     4676ac_cpp='$CPP $CPPFLAGS'
     4677ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4678ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4679ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4680
     4681
     4682
     4683
     4684# Tell FINALIZE to add FLIBS to ADDLIBS, so that they get into the .pc files
     4685coin_need_flibs=yes
     4686
    38054687# Initialize automake
    38064688{
     
    54366318*-*-irix6*)
    54376319  # Find out which ABI we are using.
    5438   echo '#line 5438 "configure"' > conftest.$ac_ext
     6320  echo '#line 6320 "configure"' > conftest.$ac_ext
    54396321  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    54406322  (eval $ac_compile) 2>&5
     
    55396421/* end confdefs.h.  */
    55406422
     6423#ifdef F77_DUMMY_MAIN
     6424
     6425#  ifdef __cplusplus
     6426     extern "C"
     6427#  endif
     6428   int F77_DUMMY_MAIN() { return 1; }
     6429
     6430#endif
    55416431int
    55426432main ()
     
    58696759#include <float.h>
    58706760
     6761#ifdef F77_DUMMY_MAIN
     6762
     6763#  ifdef __cplusplus
     6764     extern "C"
     6765#  endif
     6766   int F77_DUMMY_MAIN() { return 1; }
     6767
     6768#endif
    58716769int
    58726770main ()
     
    63667264/* end confdefs.h.  */
    63677265
     7266#ifdef F77_DUMMY_MAIN
     7267
     7268#  ifdef __cplusplus
     7269     extern "C"
     7270#  endif
     7271   int F77_DUMMY_MAIN() { return 1; }
     7272
     7273#endif
    63687274int
    63697275main ()
     
    64287334/* end confdefs.h.  */
    64297335
     7336#ifdef F77_DUMMY_MAIN
     7337
     7338#  ifdef __cplusplus
     7339     extern "C"
     7340#  endif
     7341   int F77_DUMMY_MAIN() { return 1; }
     7342
     7343#endif
    64307344int
    64317345main ()
     
    65007414$ac_declaration
    65017415#include <stdlib.h>
     7416#ifdef F77_DUMMY_MAIN
     7417
     7418#  ifdef __cplusplus
     7419     extern "C"
     7420#  endif
     7421   int F77_DUMMY_MAIN() { return 1; }
     7422
     7423#endif
    65027424int
    65037425main ()
     
    65457467/* end confdefs.h.  */
    65467468$ac_declaration
     7469#ifdef F77_DUMMY_MAIN
     7470
     7471#  ifdef __cplusplus
     7472     extern "C"
     7473#  endif
     7474   int F77_DUMMY_MAIN() { return 1; }
     7475
     7476#endif
    65477477int
    65487478main ()
     
    78658795   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78668796   -e 's:$: $lt_compiler_flag:'`
    7867    (eval echo "\"\$as_me:7867: $lt_compile\"" >&5)
     8797   (eval echo "\"\$as_me:8797: $lt_compile\"" >&5)
    78688798   (eval "$lt_compile" 2>conftest.err)
    78698799   ac_status=$?
    78708800   cat conftest.err >&5
    7871    echo "$as_me:7871: \$? = $ac_status" >&5
     8801   echo "$as_me:8801: \$? = $ac_status" >&5
    78728802   if (exit $ac_status) && test -s "$ac_outfile"; then
    78738803     # The compiler can only warn and ignore the option if not recognized
     
    81339063   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81349064   -e 's:$: $lt_compiler_flag:'`
    8135    (eval echo "\"\$as_me:8135: $lt_compile\"" >&5)
     9065   (eval echo "\"\$as_me:9065: $lt_compile\"" >&5)
    81369066   (eval "$lt_compile" 2>conftest.err)
    81379067   ac_status=$?
    81389068   cat conftest.err >&5
    8139    echo "$as_me:8139: \$? = $ac_status" >&5
     9069   echo "$as_me:9069: \$? = $ac_status" >&5
    81409070   if (exit $ac_status) && test -s "$ac_outfile"; then
    81419071     # The compiler can only warn and ignore the option if not recognized
     
    82379167   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82389168   -e 's:$: $lt_compiler_flag:'`
    8239    (eval echo "\"\$as_me:8239: $lt_compile\"" >&5)
     9169   (eval echo "\"\$as_me:9169: $lt_compile\"" >&5)
    82409170   (eval "$lt_compile" 2>out/conftest.err)
    82419171   ac_status=$?
    82429172   cat out/conftest.err >&5
    8243    echo "$as_me:8243: \$? = $ac_status" >&5
     9173   echo "$as_me:9173: \$? = $ac_status" >&5
    82449174   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82459175   then
     
    86969626/* end confdefs.h.  */
    86979627
     9628#ifdef F77_DUMMY_MAIN
     9629
     9630#  ifdef __cplusplus
     9631     extern "C"
     9632#  endif
     9633   int F77_DUMMY_MAIN() { return 1; }
     9634
     9635#endif
    86989636int
    86999637main ()
     
    87579695/* end confdefs.h.  */
    87589696
     9697#ifdef F77_DUMMY_MAIN
     9698
     9699#  ifdef __cplusplus
     9700     extern "C"
     9701#  endif
     9702   int F77_DUMMY_MAIN() { return 1; }
     9703
     9704#endif
    87599705int
    87609706main ()
     
    1002510971   builtin and then its argument prototype would still apply.  */
    1002610972char dlopen ();
     10973#ifdef F77_DUMMY_MAIN
     10974
     10975#  ifdef __cplusplus
     10976     extern "C"
     10977#  endif
     10978   int F77_DUMMY_MAIN() { return 1; }
     10979
     10980#endif
    1002710981int
    1002810982main ()
     
    1012911083#endif
    1013011084
     11085#ifdef F77_DUMMY_MAIN
     11086
     11087#  ifdef __cplusplus
     11088     extern "C"
     11089#  endif
     11090   int F77_DUMMY_MAIN() { return 1; }
     11091
     11092#endif
    1013111093int
    1013211094main ()
     
    1019511157   builtin and then its argument prototype would still apply.  */
    1019611158char shl_load ();
     11159#ifdef F77_DUMMY_MAIN
     11160
     11161#  ifdef __cplusplus
     11162     extern "C"
     11163#  endif
     11164   int F77_DUMMY_MAIN() { return 1; }
     11165
     11166#endif
    1019711167int
    1019811168main ()
     
    1028911259#endif
    1029011260
     11261#ifdef F77_DUMMY_MAIN
     11262
     11263#  ifdef __cplusplus
     11264     extern "C"
     11265#  endif
     11266   int F77_DUMMY_MAIN() { return 1; }
     11267
     11268#endif
    1029111269int
    1029211270main ()
     
    1035511333   builtin and then its argument prototype would still apply.  */
    1035611334char dlopen ();
     11335#ifdef F77_DUMMY_MAIN
     11336
     11337#  ifdef __cplusplus
     11338     extern "C"
     11339#  endif
     11340   int F77_DUMMY_MAIN() { return 1; }
     11341
     11342#endif
    1035711343int
    1035811344main ()
     
    1042211408   builtin and then its argument prototype would still apply.  */
    1042311409char dlopen ();
     11410#ifdef F77_DUMMY_MAIN
     11411
     11412#  ifdef __cplusplus
     11413     extern "C"
     11414#  endif
     11415   int F77_DUMMY_MAIN() { return 1; }
     11416
     11417#endif
    1042411418int
    1042511419main ()
     
    1048911483   builtin and then its argument prototype would still apply.  */
    1049011484char dld_link ();
     11485#ifdef F77_DUMMY_MAIN
     11486
     11487#  ifdef __cplusplus
     11488     extern "C"
     11489#  endif
     11490   int F77_DUMMY_MAIN() { return 1; }
     11491
     11492#endif
    1049111493int
    1049211494main ()
     
    1058211584  lt_status=$lt_dlunknown
    1058311585  cat > conftest.$ac_ext <<EOF
    10584 #line 10584 "configure"
     11586#line 11586 "configure"
    1058511587#include "confdefs.h"
    1058611588
     
    1068211684  lt_status=$lt_dlunknown
    1068311685  cat > conftest.$ac_ext <<EOF
    10684 #line 10684 "configure"
     11686#line 11686 "configure"
    1068511687#include "confdefs.h"
    1068611688
     
    1174812750/* end confdefs.h.  */
    1174912751
     12752#ifdef F77_DUMMY_MAIN
     12753
     12754#  ifdef __cplusplus
     12755     extern "C"
     12756#  endif
     12757   int F77_DUMMY_MAIN() { return 1; }
     12758
     12759#endif
    1175012760int
    1175112761main ()
     
    1181012820/* end confdefs.h.  */
    1181112821
     12822#ifdef F77_DUMMY_MAIN
     12823
     12824#  ifdef __cplusplus
     12825     extern "C"
     12826#  endif
     12827   int F77_DUMMY_MAIN() { return 1; }
     12828
     12829#endif
    1181212830int
    1181312831main ()
     
    1302614044   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1302714045   -e 's:$: $lt_compiler_flag:'`
    13028    (eval echo "\"\$as_me:13028: $lt_compile\"" >&5)
     14046   (eval echo "\"\$as_me:14046: $lt_compile\"" >&5)
    1302914047   (eval "$lt_compile" 2>conftest.err)
    1303014048   ac_status=$?
    1303114049   cat conftest.err >&5
    13032    echo "$as_me:13032: \$? = $ac_status" >&5
     14050   echo "$as_me:14050: \$? = $ac_status" >&5
    1303314051   if (exit $ac_status) && test -s "$ac_outfile"; then
    1303414052     # The compiler can only warn and ignore the option if not recognized
     
    1313014148   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1313114149   -e 's:$: $lt_compiler_flag:'`
    13132    (eval echo "\"\$as_me:13132: $lt_compile\"" >&5)
     14150   (eval echo "\"\$as_me:14150: $lt_compile\"" >&5)
    1313314151   (eval "$lt_compile" 2>out/conftest.err)
    1313414152   ac_status=$?
    1313514153   cat out/conftest.err >&5
    13136    echo "$as_me:13136: \$? = $ac_status" >&5
     14154   echo "$as_me:14154: \$? = $ac_status" >&5
    1313714155   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1313814156   then
     
    1470015718   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470115719   -e 's:$: $lt_compiler_flag:'`
    14702    (eval echo "\"\$as_me:14702: $lt_compile\"" >&5)
     15720   (eval echo "\"\$as_me:15720: $lt_compile\"" >&5)
    1470315721   (eval "$lt_compile" 2>conftest.err)
    1470415722   ac_status=$?
    1470515723   cat conftest.err >&5
    14706    echo "$as_me:14706: \$? = $ac_status" >&5
     15724   echo "$as_me:15724: \$? = $ac_status" >&5
    1470715725   if (exit $ac_status) && test -s "$ac_outfile"; then
    1470815726     # The compiler can only warn and ignore the option if not recognized
     
    1480415822   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1480515823   -e 's:$: $lt_compiler_flag:'`
    14806    (eval echo "\"\$as_me:14806: $lt_compile\"" >&5)
     15824   (eval echo "\"\$as_me:15824: $lt_compile\"" >&5)
    1480715825   (eval "$lt_compile" 2>out/conftest.err)
    1480815826   ac_status=$?
    1480915827   cat out/conftest.err >&5
    14810    echo "$as_me:14810: \$? = $ac_status" >&5
     15828   echo "$as_me:15828: \$? = $ac_status" >&5
    1481115829   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1481215830   then
     
    1701118029   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1701218030   -e 's:$: $lt_compiler_flag:'`
    17013    (eval echo "\"\$as_me:17013: $lt_compile\"" >&5)
     18031   (eval echo "\"\$as_me:18031: $lt_compile\"" >&5)
    1701418032   (eval "$lt_compile" 2>conftest.err)
    1701518033   ac_status=$?
    1701618034   cat conftest.err >&5
    17017    echo "$as_me:17017: \$? = $ac_status" >&5
     18035   echo "$as_me:18035: \$? = $ac_status" >&5
    1701818036   if (exit $ac_status) && test -s "$ac_outfile"; then
    1701918037     # The compiler can only warn and ignore the option if not recognized
     
    1727918297   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1728018298   -e 's:$: $lt_compiler_flag:'`
    17281    (eval echo "\"\$as_me:17281: $lt_compile\"" >&5)
     18299   (eval echo "\"\$as_me:18299: $lt_compile\"" >&5)
    1728218300   (eval "$lt_compile" 2>conftest.err)
    1728318301   ac_status=$?
    1728418302   cat conftest.err >&5
    17285    echo "$as_me:17285: \$? = $ac_status" >&5
     18303   echo "$as_me:18303: \$? = $ac_status" >&5
    1728618304   if (exit $ac_status) && test -s "$ac_outfile"; then
    1728718305     # The compiler can only warn and ignore the option if not recognized
     
    1738318401   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1738418402   -e 's:$: $lt_compiler_flag:'`
    17385    (eval echo "\"\$as_me:17385: $lt_compile\"" >&5)
     18403   (eval echo "\"\$as_me:18403: $lt_compile\"" >&5)
    1738618404   (eval "$lt_compile" 2>out/conftest.err)
    1738718405   ac_status=$?
    1738818406   cat out/conftest.err >&5
    17389    echo "$as_me:17389: \$? = $ac_status" >&5
     18407   echo "$as_me:18407: \$? = $ac_status" >&5
    1739018408   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1739118409   then
     
    1784218860/* end confdefs.h.  */
    1784318861
     18862#ifdef F77_DUMMY_MAIN
     18863
     18864#  ifdef __cplusplus
     18865     extern "C"
     18866#  endif
     18867   int F77_DUMMY_MAIN() { return 1; }
     18868
     18869#endif
    1784418870int
    1784518871main ()
     
    1790318929/* end confdefs.h.  */
    1790418930
     18931#ifdef F77_DUMMY_MAIN
     18932
     18933#  ifdef __cplusplus
     18934     extern "C"
     18935#  endif
     18936   int F77_DUMMY_MAIN() { return 1; }
     18937
     18938#endif
    1790518939int
    1790618940main ()
     
    2107522109s,@ac_ct_F77@,$ac_ct_F77,;t t
    2107622110s,@MPIF77@,$MPIF77,;t t
     22111s,@FLIBS@,$FLIBS,;t t
    2107722112s,@EGREP@,$EGREP,;t t
    2107822113s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
  • ThirdParty/Blas/branches/BSPsplit/configure.ac

    r1446 r1460  
    5050AC_COIN_PROG_F77
    5151
     52# Get the linker flags (FLIBS) that are required for linking against this blas library
     53AC_COIN_F77_WRAPPERS
     54
     55# Tell FINALIZE to add FLIBS to ADDLIBS, so that they get into the .pc files
     56coin_need_flibs=yes
     57
    5258# Initialize automake
    5359AC_COIN_INIT_AUTO_TOOLS
Note: See TracChangeset for help on using the changeset viewer.